Package twisted :: Package spread :: Module banana

[show private | hide private]
[frames | no frames]

## Module twisted.spread.banana

Banana - s-exp based protocol.

Maintainer: Glyph Lefkowitz<mailto:glyph@twistedmatrix.com>

Stability: semi-stable

Future Plans: This module is almost entirely stable. The same caveat applies to it as applies to twisted.spread.jelly, however. Read its future plans for more details.

Classes
`Banana` |
`Canana` |
`Pynana` |

Function Summary
| `b1282int(st)`
| ``decode`(st)` Decode a banana-encoded string.
| ``encode`(lst)` Encode a list s-expression.
| `int2b128(integer, stream)`

Variable Summary
`FakeModule` | `cBanana`
`string` | `FLOAT`
`string` | `HIGH_BIT_SET`
`string` | `INT`
`string` | `LIST`
`string` | `LONGINT`
`string` | `LONGNEG`
`string` | `NEG`
`string` | `STRING`
`string` | `VOCAB`
`Canana` | `_i`

Function Details

### decode(st)

Decode a banana-encoded string.

### encode(lst)

Encode a list s-expression.

Variable Details

### cBanana

  Type:
    `FakeModule`
  Value:

        <Fake cBanana>

### FLOAT

  Type:
    `string`
  Value:

        '\x84'

### HIGH_BIT_SET

  Type:
    `string`
  Value:

        '\x80'

### INT

  Type:
    `string`
  Value:

        '\x81'

### LIST

  Type:
    `string`
  Value:

        '\x80'

### LONGINT

  Type:
    `string`
  Value:

        '\x85'

### LONGNEG

  Type:
    `string`
  Value:

        '\x86'

### NEG

  Type:
    `string`
  Value:

        '\x83'

### STRING

  Type:
    `string`
  Value:

        '\x82'

### VOCAB

  Type:
    `string`
  Value:

        '\x87'

### _i

  Type:
    `Canana`
  Value:

        <twisted.spread.banana.Canana instance at 0x8430ca4>

Generated by Epydoc 1.1 on Sat Feb 15 21:19:24 2003 | http://epydoc.sf.net